--/*************************************************************************
--   (c) Copyright IBM Corp. 2007 All rights reserved.
--   
--   The following sample of source code ("Sample") is owned by International 
--   Business Machines Corporation or one of its subsidiaries ("IBM") and is 
--   copyrighted and licensed, not sold. You may use, copy, modify, and 
--   distribute the Sample in any form without payment to IBM, for the purpose of 
--   assisting you in the development of your applications.
--   
--   The Sample code is provided to you on an "AS IS" basis, without warranty of 
--   any kind. IBM HEREBY EXPRESSLY DISCLAIMS ALL WARRANTIES, EITHER EXPRESS OR 
--   IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF 
--   MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. Some jurisdictions do 
--   not allow for the exclusion or limitation of implied warranties, so the above 
--   limitations or exclusions may not apply to you. IBM shall not be liable for 
--   any damages you suffer as a result of using, copying, modifying or 
--   distributing the Sample, even if IBM has been advised of the possibility of 
--   such damages.
-- *************************************************************************
--
-- FILE NAME: setupfordecomposition.db2
--
-- PURPOSE: This is the set up script for the sample xmldecompostion.db2,
--          xmldecomposition.sqc, xmldecomposition.java.
--          The tables are created that are needed for the decomposition 
--          of the XML document bookdetail.xml.
--
-- SQL STATEMENTS USED:
--          CREATE
--
-- *************************************************************************
--
-- For more information about the command line processor (CLP) scripts,
-- see the README file.
--
-- For information on using SQL statements, see the SQL Reference.
--
-- For the latest information on programming, building, and running DB2
-- applications, visit the DB2 application development website:
--     http://www.software.ibm.com/data/db2/udb/ad
-- *************************************************************************

--CONNET TO DATABASE
CONNECT TO SAMPLE;

-- CREATE the table ADMIN.BOOK_CONTENTS
CREATE TABLE ADMIN.BOOK_AUTHOR (
   			         AUTHID INTEGER NOT NULL,
 		                 ISBN VARCHAR(13) NOT NULL,
        		         BOOK_TITLE VARCHAR(50),
                                 PRIMARY KEY (ISBN));


-- CREATE the table XDB.BOOK_CONTENTS
CREATE TABLE XDB.BOOK_CONTENTS (
                                ISBN VARCHAR(13) references ADMIN.BOOK_AUTHOR(ISBN),
                                CHPTNUM INTEGER,
                                CHPTTITTLE VARCHAR(50),
                                CHPTCONTENT VARCHAR(1000));

-- CREATE the table XDB.BOOK_AVAIL
CREATE TABLE XDB.BOOK_AVAIL ( 
                                BOOK_TITLE VARCHAR(50), 
                                ISBN VARCHAR(13) references ADMIN.BOOK_AUTHOR(ISBN));

-- COMMIT
COMMIT;

-- RESET CONNECTION
CONNECT RESET;
